/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2018 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  l_sql              varchar2(32767);
  e_syn_exists       EXCEPTION;
  PRAGMA exception_init(e_syn_exists, -00955);

BEGIN

  l_sql :=
    'CREATE SYNONYM XXAS_COM_PRODUCT_USERS FOR "&1".XXAS_COM_PRODUCT_USERS';
  EXECUTE IMMEDIATE l_sql;

EXCEPTION

  WHEN e_syn_exists THEN
    null;
  
END;
/

COMMIT; 
EXIT;
